# EssentialMC2

### Introduction

EssentialMC2 is a complete system to solve video understanding tasks including MHRL(representation learning), MECR2(
relation reasoning) and MOSL3(openset life-long learning) powered by [DAMO Academy](https://damo.alibaba.com/?lang=en)
MinD(Machine IntelligenNce of Damo) Lab.

### Features

- Simple and easy to use
- High efficiency
- Include SOTA papers presented by DAMO Academy
- Include various pretrained models

### Installation

#### Install by pip

Run `pip install essmc2`.

#### Install from source

##### Requirements

* Python 3.6+
* PytTorch 1.5+

Run `python setup.py install`. For each specific task, please refer to task specific README.

### Model Zoo

Will be released soon!

### SOTA Tasks

|  Task   | Paper  |
|  ----  | ----  |
| [ICCV2021-NGC](/papers/ICCV2021-NGC)  | [link](https://arxiv.org/abs/2108.11035) |
| [CVPR2021-MoSI](/papers/CVPR2021-MOSI) | [link](https://openaccess.thecvf.com/content/CVPR2021/papers/Huang_Self-Supervised_Motion_Learning_From_Static_Images_CVPR_2021_paper.pdf) |

### License

EssentialMC2 is released under [MIT license](https://github.com/alibaba/EssentialMC2/blob/main/LICENSE).

```text
MIT License

Copyright (c) 2021 Alibaba

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

## Acknowledgement

EssentialMC2 is an open source project that is contributed by researchers from DAMO Academy. We appreciate users who
give valuable feedbacks.
